Subject: RE: S-BFD open items, seeking comments

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Sat, 9 Aug 2014 00:39:21 +0000

Hi Pablo,

> By the way, my reading of the current (option 1) draft is that the reflector
> would respond to an admin-down packet with an UP state.  I'm not sure if
> that was authors' intent...?  Could use some clarifying text.

Correct, that's what _will_ happen (no special casing that scenario). Although if SBFDInitiator wants to transition to AdminDown state, then the SBFDInitiator can just stop sending S-BFD packets immediately. There's really no need for SBFDInitiator to send S-BFD packets to "communicate" its state changes to AdminDown. If you think clarification text will be beneficial, we'll be happy to consider that.

> PF>>  I've got a half-baked idea about reflector sessions that are associated
> with point-to-point links (e.g. a bi-directional LSP) could transition into an
> initiator themselves.  The idea is that an S-BFD session (under specific
> circumstances) could basically morph into a regular BFD session (the main
> use-case is fast bring-up of protected LSPs).  I'm still sketching the idea out
> on paper though.  I haven't convinced myself it works yet... :-)

Sounds interesting, and I agree that fast bring-up is one of the strength of S-BFD thus using S-BFD initially even when classical BFD is desired on an LSP by operators may be beneficial. Look forward to hearing more.

Thanks!

-Nobo